Last Comment Bug 304137 - Junk/scam header pane remains after selection of an empty folder (i.e. no message selection)
: Junk/scam header pane remains after selection of an empty folder (i.e. no mes...
Status: VERIFIED FIXED
: regression, verified1.8
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Ian Neal
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 05:07 PDT by Stephen Donner [:stephend]
Modified: 2005-08-26 05:15 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v0.1 (2.53 KB, patch)
2005-08-10 06:02 PDT, Ian Neal
no flags Details | Diff | Splinter Review
Revised patch v0.1b (6.43 KB, patch)
2005-08-11 06:45 PDT, Ian Neal
neil: review+
Details | Diff | Splinter Review
Tweaked patch v0.1c (Checked in on trunk and branch) (6.58 KB, patch)
2005-08-11 09:17 PDT, Ian Neal
iann_bugzilla: review+
mozilla: superreview+
asa: approval1.8b4+
Details | Diff | Splinter Review

Description User image Stephen Donner [:stephend] 2005-08-10 05:07:19 PDT
Build ID: 2005-08-08-09-05, Windows XP SeaMonkey trunk.

Steps to Reproduce:

1. Empty your Trash folder ahead of time.
2. Select a message in a different folder.
3. Ensure a message is marked as Junk or a Scam.
4. Now select the Trash folder.

Expected Results:

The window title and window body are cleared, since no message is
selected/displayed.

Actual Results:

The scam/junk bar header pane is left until you select a new message without
either of those.
Comment 1 User image Stephen Donner [:stephend] 2005-08-10 05:17:51 PDT
Just wanted to make this more clear:

Steps 2 and 3 are not really separate messages; just separate steps on the
*same* message.
Comment 2 User image Ian Neal 2005-08-10 05:56:36 PDT
Patch coming up.
Comment 3 User image Ian Neal 2005-08-10 06:02:23 PDT
Created attachment 192195 [details] [diff] [review]
Patch v0.1

This patch:
* Fixes the problem when aIndex is set to kMsgNotificationNoStatus - we need to
completely clear any status and hide the Notification bar, so lets do that
instead of faffing about only do other stuff when it's not set to that.

Stephen, can you make sure this fixes the problems you have seen, it seems to
have for me.
Comment 4 User image Stephen Donner [:stephend] 2005-08-10 19:36:27 PDT
(In reply to comment #3)
> Stephen, can you make sure this fixes the problems you have seen, it seems to
> have for me.

As already mentioned on IRC, this fixes the problem for both Howard Chu and me.
Comment 5 User image Ian Neal 2005-08-11 06:45:43 PDT
Created attachment 192365 [details] [diff] [review]
Revised patch v0.1b

This patch:
* Re-orders the decks in the msgNotificationBar so they are in precedence order

* Makes clearMsgNotifications do just that :-)
Comment 6 User image neil@parkwaycc.co.uk 2005-08-11 08:42:31 PDT
Comment on attachment 192365 [details] [diff] [review]
Revised patch v0.1b

Nit: you're not using mBarFlagValues[0] or kMsgNotificationNoStatus so you can
get rid of them and the empty hbox.
Comment 7 User image Ian Neal 2005-08-11 09:17:46 PDT
Created attachment 192387 [details] [diff] [review]
Tweaked patch v0.1c (Checked in on trunk and branch)

Changes since v0.1b
* Removed unneeded kMsgNotificationNoStatus

I'm happier leaving mBarFlagValues[0] alone as it keeps things simplier

Carrying r= forward and requesting sr=
Comment 8 User image Ian Neal 2005-08-11 11:48:20 PDT
Comment on attachment 192387 [details] [diff] [review]
Tweaked patch v0.1c (Checked in on trunk and branch)

Requesting a= for this regression fix
Comment 9 User image Ian Neal 2005-08-13 06:52:12 PDT
Comment on attachment 192387 [details] [diff] [review]
Tweaked patch v0.1c (Checked in on trunk and branch)

Checking in (trunk)
mailWindowOverlay.js;
new revision: 1.223; previous revision: 1.222
mailWindowOverlay.xul;
new revision: 1.299; previous revision: 1.298
done
Comment 10 User image Ian Neal 2005-08-16 05:01:27 PDT
Comment on attachment 192387 [details] [diff] [review]
Tweaked patch v0.1c (Checked in on trunk and branch)

Checking in (branch)
mailWindowOverlay.js;
new revision: 1.222.2.1; previous revision: 1.222
mailWindowOverlay.xul;
new revision: 1.298.2.1; previous revision: 1.298
done
Comment 11 User image Stephen Donner [:stephend] 2005-08-17 13:32:09 PDT
Verified FIXED on _trunk_ build 2005-08-16-12 using Windows XP SeaMonkey.

(Note that branch verification would need verified1.8 as a keyword to replace
fixed1.8.)
Comment 12 User image Robert Kaiser 2005-08-17 13:43:21 PDT
Also verified is a self-built branch build with the following UA:
Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.8b4) Gecko/20050817 SeaMonkey/1.0a

Note You need to log in before you can comment on or make changes to this bug.